Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.model.message.control
Class OutgoingActionRequestMessage

    java.lang.Object
      org.teleal.cling.model.message.UpnpMessage<UpnpRequest>
          org.teleal.cling.model.message.StreamRequestMessage
              org.teleal.cling.model.message.control.OutgoingActionRequestMessage

All Implemented Interfaces:
  ActionMessage, ActionRequestMessage

    public class OutgoingActionRequestMessage

extends StreamRequestMessage
implements ActionRequestMessage

Author:
  Christian Bauer

Nested Class Summary

Nested classes/interfaces inherited from class org.teleal.cling.model.message.UpnpMessage
`UpnpMessage.BodyType`

Constructor Summary
`OutgoingActionRequestMessage(ActionInvocation actionInvocation, URL controlURL)`
`OutgoingActionRequestMessage(Action action, UpnpRequest operation)`

Method Summary
`String` | `getActionNamespace()`

Methods inherited from class org.teleal.cling.model.message.StreamRequestMessage
`getUri`

Methods inherited from class org.teleal.cling.model.message.UpnpMessage
`getBody, getBodyBytes, getBodyString, getBodyType, getContentTypeCharset, getContentTypeHeader, getHeaders, getOperation, getUdaMajorVersion, getUdaMinorVersion, hasBody, hasHostHeader, isContentTypeMissingOrText, isContentTypeText, isContentTypeTextUDA, setBody, setBodyCharacters, setBodyType, setHeaders, setUdaMajorVersion, setUdaMinorVersion, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.teleal.cling.model.message.control.ActionMessage
`getBody, getBodyBytes, getBodyString, getBodyType, setBody`

Constructor Detail

### OutgoingActionRequestMessage

    public OutgoingActionRequestMessage(ActionInvocation actionInvocation,
                                        URL controlURL)

### OutgoingActionRequestMessage

    public OutgoingActionRequestMessage(Action action,
                                        UpnpRequest operation)

Method Detail

### getActionNamespace

    public String getActionNamespace()

  Specified by:
    `getActionNamespace` in interface `ActionMessage`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 Teleal GmbH, Switzerland. All Rights Reserved.